geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r591355 - /geronimo/gbuild/daily_build_scripts/testsuite.sh
Date Fri, 02 Nov 2007 15:09:04 GMT
Author: gawor
Date: Fri Nov  2 08:09:03 2007
New Revision: 591355

URL: http://svn.apache.org/viewvc?rev=591355&view=rev
Log:
look for error messages instead

Modified:
    geronimo/gbuild/daily_build_scripts/testsuite.sh

Modified: geronimo/gbuild/daily_build_scripts/testsuite.sh
URL: http://svn.apache.org/viewvc/geronimo/gbuild/daily_build_scripts/testsuite.sh?rev=591355&r1=591354&r2=591355&view=diff
==============================================================================
--- geronimo/gbuild/daily_build_scripts/testsuite.sh (original)
+++ geronimo/gbuild/daily_build_scripts/testsuite.sh Fri Nov  2 08:09:03 2007
@@ -64,8 +64,8 @@
 echo " " >> ../mail.txt
 grep -E "Running|FAILURE!" $testLog | grep -B1 "FAILURE!" >> ../mail.txt
 echo " " >> ../mail.txt
-grep "BUILD SUCCESSFUL" $testLog
-if [ $? -ne 0 ]
+grep -E "BUILD ERROR|FAILURE!|Failed to start Geronimo server" $testLog
+if [ $? -eq 0 ]
 then
    tail -100 $testLog >> ../mail.txt
 fi



Mime
View raw message